<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('blog_area_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	?>
<div  class="blog-area textcenter" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" >
		<?php			
 			$blog_title = get_theme_mod('blog_title_title', 'Latest Blogs');
 			$blog_subtitle = get_theme_mod('blog_title_subtitle', 'About Architecture Studio');
 			$blog_posttitle = get_theme_mod('blog_posttitle', 'POSTED BY : ');
 		?>
		<div class="container">
			<div class=" " data-wow-duration="1s">
				<div class="row justify-content-center">
					<?php if($blog_title || $blog_subtitle) { ?>
					<div class="Heading-conn">
						<div class="section-title">
							<p><?php echo ($blog_subtitle);  ?></p>
							<h2><?php echo ($blog_title);  ?></h2>
						</div>
					</div>
					<?php }?>
				</div>
				<div class="row">
					<div class="blog-area-wrap">
						<div class="blog-posts">

						<?php 
						$blog_post_count = get_theme_mod('blog_post_count', 1 );
						$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
						$blog_cat_exclude = explode(',', $blog_cat_exclude);
						$args = array(
							'posts_per_page' => absint($blog_post_count),
							'category__not_in' => $blog_cat_exclude
						);
						$query = new WP_Query($args);
						if($query -> have_posts()):
							while($query -> have_posts()) : $query -> the_post();
								$lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($lz_fitness_image[0]);
								}
								if(empty($lz_fitness_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
								?>
								<div class="blog-post ">
									<div blog-match-height="groupName" class="box-area-S">
										<div class="blog-thumbnail col-md-6">
											<a href="<?php the_permalink(); ?>"> <img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
											</a> 
											<div class="blog-date-box">
												<div class="blog-date ">
													<span><?php echo get_the_date( 'd' ); ?></span><br>
													<?php echo get_the_date( 'M Y' ); ?>	
						                        </div>
						                        <div class="clearfix"></div>
						                    </div>
						                    <div class="clearfix"></div>
										</div>
										<div class="blog-single col-md-6">
											<?php 
												$blog_page_id = get_theme_mod('blog_page');	
												$blog_inn_image = get_theme_mod('blog_inn_image');
											?>
											<div class="blog-single-img">
												<div class="authorname">
												<span><?php echo ($blog_posttitle);  ?></span> <?php echo get_the_author(); ?> </div>

												<a href="<?php the_permalink(); ?>"><h4 class="inner-area-title"><?php the_title(); ?></h4></a>
												<div class="section-area-text">
												<?php 
													if(has_excerpt()){
														echo get_the_excerpt();
													}else{
														echo luzuk_excerpt( get_the_content() , 200 );
													}
													?>
												</div>
											</div>
											<div class="clearfix"></div>
										 <?php if( get_theme_mod('blog_button_display','show' ) == 'show') :
											?>
											<?php
												$blog_page_id = get_theme_mod('blog_page'); 
												$blogbutn_text = get_theme_mod('blogbutn_text', 'Continue Reading');
											?>
											<div class="blog-read-more">
												<div class="b-hv"></div>
												<a href="<?php the_permalink(); ?>"><?php echo $blogbutn_text; ?> <i class="fa fa-long-arrow-right"></i>
												</a>
											</div>
											<?php endif ?>
										<div class="clearfix"></div>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<?php
							endwhile;
						endif;
						wp_reset_postdata();
						?>
					</div>
						<div class="clearfix"></div>
					</div>	
				</div>

			</div>
		</div>
		<div class="clearfix"></div>
		
</div>

<script>
    var matchHeight = function () {

    function init() {
        eventListeners();
        matchHeight();
    }

    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }

    function matchHeight(){
        var groupName = $('[blog-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };

    return {
        init: init
    };

    } ();

    $(document).ready(function() {
    matchHeight.init();
    });
</script>

<?php }